Name:           soundkonverter
Version:        1.2.1
Release:        %mkrel 1
License:        GPLv2
Group:          Sound
Summary:        An audio file converter, CD ripper and Replay Gain tool
URL:            http://kde-apps.org/content/show.php?content=29024
Source0:         %{name}-%{version}.tar.gz
 
BuildRequires:  kdelibs4-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  kdemultimedia4-devel
BuildRequires:  cdda-devel
 
Requires:       flac
Requires:       cdparanoia
Requires:       speex
Requires:       fluidsynth
Requires:       vorbis-tools
Requires:       wavpack
Requires:       vorbisgain
Suggests:       ffmpeg
Suggests:       mp3gain
 
%description
SoundKonverter is a frontend to various audio converters.
 
The key features are:
 Audio file conversion
 Replay Gain calculation
 CD ripping
 
It is extendable by plug-ins and supports many backends.
soundKonverter supports reading and writing tags for many formats, so the tags
are preserved when converting files.
 
%prep
%setup -q
 
%build
%cmake_kde4
%make
 
%install
pushd build
%makeinstall_std
popd
 
%find_lang %{name}
 
%clean
rm -rf %{buildroot}
 
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG README
%dir %{_kde_appsdir}/solid
%dir %{_kde_appsdir}/solid/actions
%dir %{_kde_appsdir}/soundkonverter
%{_kde_appsdir}/soundkonverter/*
%{_kde_bindir}/soundkonverter
%{_kde_libdir}/libsoundkonvertercore.so
%{_kde_services}/soundkonverter_*
%{_kde_libdir}/kde4/soundkonverter_*.so
%{_kde_applicationsdir}/soundkonverter.desktop
%{_kde_iconsdir}/*/*x*/apps/*.png
%{_kde_servicetypes}/soundkonverter_*.desktop
%{_kde_appsdir}/solid/actions/soundkonverter-rip-audiocd.desktop


%changelog
* Fri Dec 23 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 744749
- fixed file paths
- new version 1.2.1

* Mon Oct 31 2011 Andrey Smirnov <asmirnov@mandriva.org> 1.2.0-1
+ Revision: 708076
- imported package soundkonverter


* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 114883
- new version
- drop patch 0 (merged upstream)
- correct url

* Thu Jan 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2007.1
+ Revision: 113477
- added patch 1, now soundkonverter should see all plugins and backends(Daniel Faust)
- reenable macros for configure and make
- onw missing directories

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2007.1
+ Revision: 112092
- add requires

* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2007.1
+ Revision: 109606
- do not use %%configure and %%make macros
- new version
- regenerate patch 0
- spec file clean

* Fri Dec 29 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-2mdv2007.1
+ Revision: 102628
- spec file clean
- add compile options

* Mon Dec 18 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-1mdv2007.1
+ Revision: 98722
- Import soundkonverter

